<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yida.data.school.exam.mapper.CoreExaminationTeacherDetailMapper">
    <resultMap id="BaseResultMap" type="com.yida.data.common.core.entity.exam.CoreExaminationTeacherDetail">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="create_id" property="createId" jdbcType="VARCHAR"/>
        <result column="create_date" property="createDate" jdbcType="TIMESTAMP"/>
        <result column="update_id" property="updateId" jdbcType="VARCHAR"/>
        <result column="update_date" property="updateDate" jdbcType="TIMESTAMP"/>
        <result column="del_flag" property="delFlag" jdbcType="CHAR"/>
        <result column="core_examination_id" property="coreExaminationId" jdbcType="INTEGER"/>
        <result column="core_examination_teacher_id" property="coreExaminationTeacherId" jdbcType="INTEGER"/>
        <result column="teacher_type" property="teacherType" jdbcType="VARCHAR"/>
        <result column="teacher_course_id" property="teacherCourseId" jdbcType="INTEGER"/>
        <result column="teacher_course_name" property="teacherCourseName" jdbcType="VARCHAR"/>
        <result column="teacher_examination_room" property="teacherExaminationRoom" jdbcType="VARCHAR"/>
    </resultMap>

    <update id="deleteByTeacherIds">
        update core_examination_teacher_detail
        set del_flag='1'
        where core_examination_teacher_id in
        <foreach collection="teacherIds" close=")" item="id" open="(" separator=",">
            #{id}
        </foreach>
    </update>
</mapper>